gtkmm: Gdk::Bitmap Class Reference

gtkmm 2.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | List of all members
Gdk::Bitmap Class Reference

Bitmaps are simply pixmaps with a depth of 1. More...

Inheritance diagram for Gdk::Bitmap:
[legend]
Collaboration diagram for Gdk::Bitmap:
[legend]

## Static Public Member Functions
static Glib::RefPtr< Bitmap > | create (const char* data, int width, int height)
static Glib::RefPtr< Bitmap > | create (const Glib::RefPtr< Gdk::Drawable >& drawable, const char* data, int width, int height)
Static Public Member Functions inherited from Gdk::Pixmap
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Drawable >& drawable, int width, int height, int depth=-1)
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Display >& display, NativeWindow anid)
static Glib::RefPtr< Pixmap > | create_from_data (const Glib::RefPtr< const Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file. More...
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const std::string& filename)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file with colormap. More...
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const char* const* data)
Static Public Member Functions inherited from Gdk::Drawable
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Drawable > | create ()

## Protected Member Functions
| Bitmap (const char* data, int width, int height)
| Bitmap (const Glib::RefPtr< Gdk::Drawable >& drawable, const char* data, int width, int height)
Protected Member Functions inherited from Gdk::Pixmap
| Pixmap ()
| Pixmap (const Glib::RefPtr< Drawable >& drawable, int width, int height, int depth=-1)
| Pixmap (const Glib::RefPtr< Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
| Initialize a Pixmap from data. More...
| Pixmap (const Glib::RefPtr< Display >& display, NativeWindow anid)
Protected Member Functions inherited from Gdk::Drawable
| Drawable ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
void | initialize (GObject *castitem)

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)
Public Member Functions inherited from Gdk::Pixmap
virtual | ~Pixmap ()
GdkPixmap* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkPixmap* | gobj () const
| Provides access to the underlying C GObject. More...
GdkPixmap* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Related Functions inherited from Gdk::Pixmap
Glib::RefPtr< Gdk::Pixmap > | wrap (GdkPixmapObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Bitmaps are simply pixmaps with a depth of 1.

(That is, they are monochrome bitmaps - each pixel can be either on or off).

## Constructor & Destructor Documentation

Gdk::Bitmap::Bitmap | ( | const char * | data,
|  | int | width,
|  | int | height
| ) |  |
| protected

Gdk::Bitmap::Bitmap | ( | const Glib::RefPtr< Gdk::Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height
| ) |  |
| protected

## Member Function Documentation

static Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const char * | data,
|  | int | width,
|  | int | height
| ) |  |
| static

static Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const Glib::RefPtr< Gdk::Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height
| ) |  |
| static

The documentation for this class was generated from the following file:

- gdkmm/bitmap.h